Skip to main content
GET
/
v1
/
transactions
/
{id}
Retrieve a transaction
curl --request GET \
  --url https://api.useduro.com/v1/transactions/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "invoiceId": "<string>",
  "customerId": "<string>",
  "amount": 123,
  "failureCode": "<string>",
  "reference": "<string>",
  "createdAt": "<string>"
}

Authorizations

Authorization
string
header
required

A secret key (sk_test_… / sk_live_…), OAuth token, or identity token.

Path Parameters

id
string
required

Response

200 - application/json

OK

id
string
invoiceId
string
customerId
string | null
status
enum<string>
Available options:
pending,
succeeded,
failed
amount
integer
rail
enum<string>
Available options:
card,
transfer,
ussd,
virtual_account,
direct_debit
failureCode
string | null
reference
string | null
createdAt
string